Subject: Re: [PATCH] MAINTAINERS: Exclude m68k-only drivers from powerpc entry

From: Michael Ellerman <[email-masked]>
Date: Thu, 01 Jun 2023 17:30:51 +1000

Finn Thain <[email-masked]> writes:
> On Wed, 31 May 2023, Geert Uytterhoeven wrote:
>> On Wed, May 31, 2023 at 2:50 PM Michael Ellerman <[email-masked]> wrote:
>> > The powerpc section has a "F:" entry for drivers/macintosh, matching 
>> > all files in or below drivers/macintosh. That is correct for the most 
>> > part, but there are a couple of m68k-only drivers in the directory, so 
>> > exclude those.
>> >
>> > Signed-off-by: Michael Ellerman <[email-masked]>
>> 
>> Thanks for your patch!
>> 
>> > --- a/MAINTAINERS
>> > +++ b/MAINTAINERS
>> > @@ -11916,6 +11916,8 @@ L:      [email-masked]
>> >  S:     Odd Fixes
>> >  F:     arch/powerpc/platforms/powermac/
>> >  F:     drivers/macintosh/
>> > +X:     drivers/macintosh/adb-iop.c
>> > +X:     drivers/macintosh/via-macii.c
>> >
>> >  LINUX FOR POWERPC (32-BIT AND 64-BIT)
>> >  M:     Michael Ellerman <[email-masked]>
>> 
>> LGTM, as there are already entries for these two files under
>> "M68K ON APPLE MACINTOSH".
>
> Right. I should have addded those "X files" in commit 2ae92e8b9b7.

Or I should have suggested it when I acked that commit :}

cheers